apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/memoryMb: "16384"
    machine.openshift.io/vCPU: "4"
  creationTimestamp: "2025-06-24T03:53:07Z"
  generation: 1
  labels:
    hive.openshift.io/machine-pool: worker
    hive.openshift.io/managed: "true"
    machine.openshift.io/cluster-api-cluster: qe2-vmware-ibm-d6t5x
  name: qe2-vmware-ibm-d6t5x-worker-0
  namespace: openshift-machine-api
  resourceVersion: "23913"
  uid: 6b72dd62-ce55-4a74-9424-0e422d51a0d0
spec:
  replicas: 3
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: qe2-vmware-ibm-d6t5x
      machine.openshift.io/cluster-api-machineset: qe2-vmware-ibm-d6t5x-worker-0
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: qe2-vmware-ibm-d6t5x
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: qe2-vmware-ibm-d6t5x-worker-0
    spec:
      lifecycleHooks: {}
      metadata: {}
      providerSpec:
        value:
          apiVersion: machine.openshift.io/v1beta1
          credentialsSecret:
            name: vsphere-cloud-credentials
          diskGiB: 120
          kind: VSphereMachineProviderSpec
          memoryMiB: 16384
          metadata:
            creationTimestamp: null
          network:
            devices:
            - networkName: Public Network
          numCPUs: 4
          numCoresPerSocket: 2
          snapshot: ""
          template: qe2-vmware-ibm-d6t5x-rhcos-default_region-default_zone
          userDataSecret:
            name: worker-user-data
          workspace:
            datacenter: Workload Datacenter
            datastore: /Workload Datacenter/datastore/WORKLOAD-DS-Folder/WORKLOAD-DS-CLUSTER/WORKLOAD-DS
            folder: /Workload Datacenter/vm/ACM-QE
            resourcePool: /Workload Datacenter/host/Workload Cluster/Resources
            server: acmcicd-vcsa-01.cicd.red-chesterfield.com
status:
  availableReplicas: 3
  fullyLabeledReplicas: 3
  observedGeneration: 1
  readyReplicas: 3
  replicas: 3
